# Uses of Class
org.eclipse.birt.report.model.api.command.UserPropertyException

Packages that use UserPropertyException
Package
Description
org.eclipse.birt.report.model.api
Tool-writer's interface for the BIRT design model (also known as the "Design Engine.")
org.eclipse.birt.report.model.api.core
Represents the fundamental data structures of the user-defined property and the interface of UI listener.

## Uses of UserPropertyException in org.eclipse.birt.report.model.api

Methods in org.eclipse.birt.report.model.api that throw UserPropertyException
Modifier and Type
Method
Description
`void`
DesignElementHandle.`addUserPropertyDefn(UserPropertyDefn prop)`
Adds a user-defined property definition.
`void`
PrivateStyleHandle.`addUserPropertyDefn(UserPropertyDefn prop)`
This method is not defined for private styles.
`void`
DesignElementHandle.`dropUserPropertyDefn(String propName)`
Removes an existing user property definition from the element.
`void`
PrivateStyleHandle.`dropUserPropertyDefn(String propName)`
This method is not defined for private styles.
`void`
UserPropertyDefnHandle.`setUserPropertyDefn(UserPropertyDefn prop)`
Sets the definition for the user-defined property.

## Uses of UserPropertyException in org.eclipse.birt.report.model.api.core

Methods in org.eclipse.birt.report.model.api.core that throw UserPropertyException
Modifier and Type
Method
Description
`void`
UserPropertyDefn.`checkUserPropertyDefn(org.eclipse.birt.report.model.core.Module module, org.eclipse.birt.report.model.core.DesignElement element)`
Checks whether the element can take the given user property definition and the definition is valid.